var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
import React, { useContext } from 'react';
import { Context } from '../context';
function IconUploadingPptComponent(props, ref) {
    var prefixFromContext = useContext(Context).prefix;
    var _a = props.className, className = _a === void 0 ? '' : _a, prefixFromProps = props.prefix, _b = props.width, width = _b === void 0 ? '1em' : _b, _c = props.height, height = _c === void 0 ? '1em' : _c, _d = props.useCurrentColor, useCurrentColor = _d === void 0 ? false : _d, spin = props.spin, rest = __rest(props, ["className", "prefix", "width", "height", "useCurrentColor", "spin"]);
    var prefix = prefixFromProps || prefixFromContext || 'hiagent';
    var loadingKls = spin ? " ".concat(prefix, "-icon-loading") : '';
    return React.createElement("svg", __assign({ className: "".concat(prefix, "-icon ").concat(prefix, "-icon-uploading-ppt").concat(loadingKls, " ").concat(className), width: width, height: height, xmlns: "http://www.w3.org/2000/svg", fill: useCurrentColor ? 'currentColor' : 'none', viewBox: "0 0 32 32" }, rest, { ref: ref }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#FF8D47', stroke: "#FF8D47", d: "M8 2.5h9.793l9.707 9.707V26a3.5 3.5 0 0 1-3.5 3.5H8A3.5 3.5 0 0 1 4.5 26V6A3.5 3.5 0 0 1 8 2.5Z" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', d: "M12 25.485V20.8c0-.8.8-.8.8-.8h-2.72c-.265 0-.48.23-.48.514v4.971c0 .285.215.515.48.515h1.44c.265 0 .48-.23.48-.515Z", opacity: ".8" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#fff', fillRule: "evenodd", d: "M19.296 16.608H9.9a.3.3 0 0 1-.3-.3V13.9a.3.3 0 0 1 .3-.3h10.82c.875 0 1.584.71 1.584 1.584v6.24c0 .875-.71 1.584-1.584 1.584H12V20h7.296v-3.392Z", clipRule: "evenodd" }),
        React.createElement("path", { fill: useCurrentColor ? 'currentColor' : '#FFC6A3', d: "m18 2 10 10h-6a4 4 0 0 1-4-4V2Z" }));
}
var IconUploadingPpt = React.forwardRef(IconUploadingPptComponent);
export default IconUploadingPpt;
